Name:      langpacks
Version:   1.0
Release:   17%{?dist}
Summary:   Langpacks meta-package

License:   GPLv2+
BuildArch: noarch
# Below Source was available on https://people.freedesktop.org/~hughsient/temp/
Source0:   org.fedoraproject.LangPacks.xml

# to split up the AppStream file
BuildRequires: libappstream-glib >= 0.5.10

%description
Langpack meta-package to provide individual langpacks packages.

# The following language list is generated based on
# 1) take the languages where anaconda translations are available
# ls /usr/share/locale/*/LC_MESSAGES/anaconda.mo
# Then pick those languages which provides at least a single langpack
# Now, Added exception for dz and ku languages which have no anaconda.mo
# 2) Added br ga he nn nr ss tn ts ve xh
# as per requested in https://bugzilla.redhat.com/show_bug.cgi?id=1310538
# 3) Enabled en langpack https://bugzilla.redhat.com/show_bug.cgi?id=1312890

%package -n langpacks-af
Summary: Afrikaans langpacks meta-package

%description -n langpacks-af
This package provides Afrikaans langpacks meta-package.

%files -n langpacks-af
%{_datadir}/metainfo/org.fedoraproject.LangPack-af.metainfo.xml

%package -n langpacks-am
Summary: Amharic langpacks meta-package
Requires:   google-noto-sans-ethiopic-fonts
Requires:   sil-abyssinica-fonts
Recommends: senamirmir-washra-fantuwua-fonts
Recommends: senamirmir-washra-fonts
Recommends: senamirmir-washra-hiwua-fonts
Recommends: senamirmir-washra-jiret-fonts
Recommends: senamirmir-washra-tint-fonts
Recommends: senamirmir-washra-wookianos-fonts
Recommends: senamirmir-washra-yebse-fonts
Recommends: senamirmir-washra-yigezu-bisrat-goffer-fonts
Recommends: senamirmir-washra-yigezu-bisrat-gothic-fonts
Recommends: senamirmir-washra-zelan-fonts
Recommends: xorg-x11-fonts-ethiopic

%description -n langpacks-am
This package provides Amharic langpacks meta-package.

%files -n langpacks-am
%{_datadir}/metainfo/org.fedoraproject.LangPack-am.metainfo.xml

%package -n langpacks-ar
Summary: Arabic langpacks meta-package
Recommends: dejavu-sans-fonts
Recommends: dejavu-sans-mono-fonts
Recommends: kacst-art-fonts
Recommends: kacst-book-fonts
Recommends: kacst-decorative-fonts
Recommends: kacst-digital-fonts
Recommends: kacst-farsi-fonts
Recommends: kacst-letter-fonts
Recommends: kacst-naskh-fonts
Recommends: kacst-office-fonts
Recommends: kacst-one-fonts
Recommends: kacst-pen-fonts
Recommends: kacst-poster-fonts
Recommends: kacst-qurn-fonts
Recommends: kacst-screen-fonts
Recommends: kacst-title-fonts
Recommends: kacst-titlel-fonts
Recommends: paktype-naqsh-fonts
Recommends: paktype-tehreer-fonts

%description -n langpacks-ar
This package provides Arabic langpacks meta-package.

%files -n langpacks-ar
%{_datadir}/metainfo/org.fedoraproject.LangPack-ar.metainfo.xml

%package -n langpacks-as
Summary: Assamese langpacks meta-package
Requires:   lohit-assamese-fonts
Requires:   m17n-db
Recommends: google-noto-sans-bengali-fonts
Recommends: google-noto-sans-bengali-ui-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-as
This package provides Assamese langpacks meta-package.

%files -n langpacks-as
%{_datadir}/metainfo/org.fedoraproject.LangPack-as.metainfo.xml

%package -n langpacks-ast
Summary: Asturian langpacks meta-package

%description -n langpacks-ast
This package provides Asturian langpacks meta-package.

%files -n langpacks-ast
%{_datadir}/metainfo/org.fedoraproject.LangPack-ast.metainfo.xml

%package -n langpacks-be
Summary: Belarusian langpacks meta-package

%description -n langpacks-be
This package provides Belarusian langpacks meta-package.

%files -n langpacks-be
%{_datadir}/metainfo/org.fedoraproject.LangPack-be.metainfo.xml

%package -n langpacks-bg
Summary: Bulgarian langpacks meta-package

%description -n langpacks-bg
This package provides Bulgarian langpacks meta-package.

%files -n langpacks-bg
%{_datadir}/metainfo/org.fedoraproject.LangPack-bg.metainfo.xml

%package -n langpacks-bn
Summary: Bengali langpacks meta-package
Requires:   lohit-bengali-fonts
Requires:   m17n-db
Recommends: google-noto-sans-bengali-fonts
Recommends: google-noto-sans-bengali-ui-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-bn
This package provides Bengali langpacks meta-package.

%files -n langpacks-bn
%{_datadir}/metainfo/org.fedoraproject.LangPack-bn.metainfo.xml

%package -n langpacks-bo
Summary: Tibetan langpacks meta-package
Requires: tibetan-machine-uni-fonts
Recommends: jomolhari-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-bo
This package provides Tibetan langpacks meta-package.

%files -n langpacks-bo
%{_datadir}/metainfo/org.fedoraproject.LangPack-bo.metainfo.xml

%package -n langpacks-br
Summary: Breton langpacks meta-package

%description -n langpacks-br
This package provides Breton langpacks meta-package.

%files -n langpacks-br
%{_datadir}/metainfo/org.fedoraproject.LangPack-br.metainfo.xml

%package -n langpacks-bs
Summary: Bosnian langpacks meta-package

%description -n langpacks-bs
This package provides Bosnian langpacks meta-package.

%files -n langpacks-bs
%{_datadir}/metainfo/org.fedoraproject.LangPack-bs.metainfo.xml

%package -n langpacks-ca
Summary: Catalan langpacks meta-package

%description -n langpacks-ca
This package provides Catalan langpacks meta-package.

%files -n langpacks-ca
%{_datadir}/metainfo/org.fedoraproject.LangPack-ca.metainfo.xml

%package -n langpacks-cs
Summary: Czech langpacks meta-package

%description -n langpacks-cs
This package provides Czech langpacks meta-package.

%files -n langpacks-cs
%{_datadir}/metainfo/org.fedoraproject.LangPack-cs.metainfo.xml

%package -n langpacks-cy
Summary: Welsh langpacks meta-package

%description -n langpacks-cy
This package provides Welsh langpacks meta-package.

%files -n langpacks-cy
%{_datadir}/metainfo/org.fedoraproject.LangPack-cy.metainfo.xml

%package -n langpacks-da
Summary: Danish langpacks meta-package

%description -n langpacks-da
This package provides Danish langpacks meta-package.

%files -n langpacks-da
%{_datadir}/metainfo/org.fedoraproject.LangPack-da.metainfo.xml

%package -n langpacks-dz
Summary: Bhutanese langpacks meta-package
Requires: jomolhari-fonts

%description -n langpacks-dz
This package provides Bhutanese langpacks meta-package.

%files -n langpacks-dz
%{_datadir}/metainfo/org.fedoraproject.LangPack-dz.metainfo.xml

%package -n langpacks-de
Summary: German langpacks meta-package

%description -n langpacks-de
This package provides German langpacks meta-package.

%files -n langpacks-de
%{_datadir}/metainfo/org.fedoraproject.LangPack-de.metainfo.xml

%package -n langpacks-el
Summary: Greek langpacks meta-package

%description -n langpacks-el
This package provides Greek langpacks meta-package.

%files -n langpacks-el
%{_datadir}/metainfo/org.fedoraproject.LangPack-el.metainfo.xml

%package -n langpacks-en
Summary: English langpacks meta-package

%description -n langpacks-en
This package provides English langpacks meta-package.

%files -n langpacks-en
%{_datadir}/metainfo/org.fedoraproject.LangPack-en.metainfo.xml

%package -n langpacks-en_GB
Summary: English (United Kingdom) langpacks meta-package

%description -n langpacks-en_GB
This package provides English (United Kingdom) langpacks meta-package.

%files -n langpacks-en_GB
%{_datadir}/metainfo/org.fedoraproject.LangPack-en_GB.metainfo.xml

%package -n langpacks-eo
Summary: Esperanto langpacks meta-package

%description -n langpacks-eo
This package provides Esperanto langpacks meta-package.

%files -n langpacks-eo
%{_datadir}/metainfo/org.fedoraproject.LangPack-eo.metainfo.xml

%package -n langpacks-es
Summary: Spanish langpacks meta-package

%description -n langpacks-es
This package provides Spanish langpacks meta-package.

%files -n langpacks-es
%{_datadir}/metainfo/org.fedoraproject.LangPack-es.metainfo.xml

%package -n langpacks-et
Summary: Estonian langpacks meta-package

%description -n langpacks-et
This package provides Estonian langpacks meta-package.

%files -n langpacks-et
%{_datadir}/metainfo/org.fedoraproject.LangPack-et.metainfo.xml

%package -n langpacks-eu
Summary: Basque langpacks meta-package

%description -n langpacks-eu
This package provides Basque langpacks meta-package.

%files -n langpacks-eu
%{_datadir}/metainfo/org.fedoraproject.LangPack-eu.metainfo.xml

%package -n langpacks-fa
Summary: Persian langpacks meta-package
Recommends: sil-scheherazade-fonts

%description -n langpacks-fa
This package provides Persian langpacks meta-package.

%files -n langpacks-fa
%{_datadir}/metainfo/org.fedoraproject.LangPack-fa.metainfo.xml

%package -n langpacks-fi
Summary: Finnish langpacks meta-package
Requires: enchant-voikko
Recommends: (mozvoikko if firefox)

%description -n langpacks-fi
This package provides Finnish langpacks meta-package.

%files -n langpacks-fi
%{_datadir}/metainfo/org.fedoraproject.LangPack-fi.metainfo.xml

%package -n langpacks-fr
Summary: French langpacks meta-package

%description -n langpacks-fr
This package provides French langpacks meta-package.

%files -n langpacks-fr
%{_datadir}/metainfo/org.fedoraproject.LangPack-fr.metainfo.xml

%package -n langpacks-ga
Summary: Irish langpacks meta-package

%description -n langpacks-ga
This package provides Irish langpacks meta-package.

%files -n langpacks-ga
%{_datadir}/metainfo/org.fedoraproject.LangPack-ga.metainfo.xml

%package -n langpacks-gl
Summary: Galician langpacks meta-package

%description -n langpacks-gl
This package provides Galician langpacks meta-package.

%files -n langpacks-gl
%{_datadir}/metainfo/org.fedoraproject.LangPack-gl.metainfo.xml

%package -n langpacks-gu
Summary: Gujarati langpacks meta-package
Requires: lohit-gujarati-fonts
Requires: m17n-db
Recommends: google-noto-sans-gujarati-fonts
Recommends: google-noto-sans-gujarati-ui-fonts
Recommends: samyak-gujarati-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-gu
This package provides Gujarati langpacks meta-package.

%files -n langpacks-gu
%{_datadir}/metainfo/org.fedoraproject.LangPack-gu.metainfo.xml

%package -n langpacks-he
Summary: Hebrew langpacks meta-package
Requires: dejavu-sans-fonts
Recommends: culmus-aharoni-clm-fonts
Recommends: culmus-caladings-clm-fonts
Recommends: culmus-david-clm-fonts
Recommends: culmus-drugulin-clm-fonts
Recommends: culmus-ellinia-clm-fonts
Recommends: culmus-frank-ruehl-clm-fonts
Recommends: culmus-hadasim-clm-fonts
Recommends: culmus-keteryg-fonts
Recommends: culmus-miriam-clm-fonts
Recommends: culmus-miriam-mono-clm-fonts
Recommends: culmus-nachlieli-clm-fonts
Recommends: culmus-simple-clm-fonts
Recommends: culmus-stamashkenaz-clm-fonts
Recommends: culmus-stamsefarad-clm-fonts
Recommends: culmus-yehuda-clm-fonts
Recommends: google-noto-sans-hebrew-fonts

%description -n langpacks-he
This package provides Hebrew langpacks meta-package.

%files -n langpacks-he
%{_datadir}/metainfo/org.fedoraproject.LangPack-he.metainfo.xml

%package -n langpacks-hi
Summary: Hindi langpacks meta-package
Requires: lohit-devanagari-fonts
Requires: m17n-db
Recommends: google-noto-sans-devanagari-fonts
Recommends: google-noto-sans-devanagari-ui-fonts
Recommends: samyak-devanagari-fonts
Recommends: sarai-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-hi
This package provides Hindi langpacks meta-package.

%files -n langpacks-hi
%{_datadir}/metainfo/org.fedoraproject.LangPack-hi.metainfo.xml

%package -n langpacks-hr
Summary: Croatian langpacks meta-package

%description -n langpacks-hr
This package provides Croatian langpacks meta-package.

%files -n langpacks-hr
%{_datadir}/metainfo/org.fedoraproject.LangPack-hr.metainfo.xml

%package -n langpacks-hu
Summary: Hungarian langpacks meta-package

%description -n langpacks-hu
This package provides Hungarian langpacks meta-package.

%files -n langpacks-hu
%{_datadir}/metainfo/org.fedoraproject.LangPack-hu.metainfo.xml

%package -n langpacks-ia
Summary: Interlingua langpacks meta-package

%description -n langpacks-ia
This package provides Interlingua langpacks meta-package.

%files -n langpacks-ia
%{_datadir}/metainfo/org.fedoraproject.LangPack-ia.metainfo.xml

%package -n langpacks-id
Summary: Indonesian langpacks meta-package

%description -n langpacks-id
This package provides Indonesian langpacks meta-package.

%files -n langpacks-id
%{_datadir}/metainfo/org.fedoraproject.LangPack-id.metainfo.xml

%package -n langpacks-is
Summary: Icelandic langpacks meta-package

%description -n langpacks-is
This package provides Icelandic langpacks meta-package.

%files -n langpacks-is
%{_datadir}/metainfo/org.fedoraproject.LangPack-is.metainfo.xml

%package -n langpacks-it
Summary: Italian langpacks meta-package

%description -n langpacks-it
This package provides Italian langpacks meta-package.

%files -n langpacks-it
%{_datadir}/metainfo/org.fedoraproject.LangPack-it.metainfo.xml

%package -n langpacks-ja
Summary: Japanese langpacks meta-package
Recommends: google-noto-sans-cjk-ttc-fonts
Recommends: google-noto-serif-cjk-ttc-fonts
Recommends: (ibus-kkc if xorg-x11-server-Xorg)
Recommends: (uim-anthy if uim)

%description -n langpacks-ja
This package provides Japanese langpacks meta-package.

%files -n langpacks-ja
%{_datadir}/metainfo/org.fedoraproject.LangPack-ja.metainfo.xml

%package -n langpacks-ka
Summary: Georgian langpacks meta-package
Requires: dejavu-sans-fonts
Recommends: bpg-chveulebrivi-fonts
Recommends: bpg-courier-fonts
Recommends: bpg-glaho-fonts
Recommends: dejavu-sans-mono-fonts
Recommends: dejavu-serif-fonts
Recommends: google-noto-sans-georgian-fonts
Recommends: google-noto-serif-georgian-fonts

%description -n langpacks-ka
This package provides Georgian langpacks meta-package.

%files -n langpacks-ka
%{_datadir}/metainfo/org.fedoraproject.LangPack-ka.metainfo.xml

%package -n langpacks-kk
Summary: Kazakh langpacks meta-package

%description -n langpacks-kk
This package provides Kazakh langpacks meta-package.

%files -n langpacks-kk
%{_datadir}/metainfo/org.fedoraproject.LangPack-kk.metainfo.xml

%package -n langpacks-km
Summary: Khmer langpacks meta-package
Requires: khmeros-base-fonts
Recommends: google-noto-sans-khmer-fonts
Recommends: google-noto-sans-khmer-ui-fonts
Recommends: khmeros-battambang-fonts
Recommends: khmeros-bokor-fonts
Recommends: khmeros-handwritten-fonts
Recommends: khmeros-metal-chrieng-fonts
Recommends: khmeros-muol-fonts
Recommends: khmeros-siemreap-fonts

%description -n langpacks-km
This package provides Khmer langpacks meta-package.

%files -n langpacks-km
%{_datadir}/metainfo/org.fedoraproject.LangPack-km.metainfo.xml

%package -n langpacks-kn
Summary: Kannada langpacks meta-package
Requires: lohit-kannada-fonts
Requires: m17n-db
Recommends: google-noto-sans-kannada-fonts
Recommends: google-noto-sans-kannada-ui-fonts
Recommends: gubbi-fonts
Recommends: navilu-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-kn
This package provides Kannada langpacks meta-package.

%files -n langpacks-kn
%{_datadir}/metainfo/org.fedoraproject.LangPack-kn.metainfo.xml

%package -n langpacks-ko
Summary: Korean langpacks meta-package
Recommends: google-noto-sans-cjk-ttc-fonts
Recommends: google-noto-serif-cjk-ttc-fonts
Recommends: (ibus-hangul if xorg-x11-server-Xorg)

%description -n langpacks-ko
This package provides Korean langpacks meta-package.

%files -n langpacks-ko
%{_datadir}/metainfo/org.fedoraproject.LangPack-ko.metainfo.xml

%package -n langpacks-ku
Summary: Kurdish langpacks meta-package
Recommends: kurdit-unikurd-web-fonts

%description -n langpacks-ku
This package provides Kurdish langpacks meta-package.

%files -n langpacks-ku
%{_datadir}/metainfo/org.fedoraproject.LangPack-ku.metainfo.xml

%package -n langpacks-lt
Summary: Lithuanian langpacks meta-package

%description -n langpacks-lt
This package provides Lithuanian langpacks meta-package.

%files -n langpacks-lt
%{_datadir}/metainfo/org.fedoraproject.LangPack-lt.metainfo.xml

%package -n langpacks-lv
Summary: Latvian langpacks meta-package

%description -n langpacks-lv
This package provides Latvian langpacks meta-package.

%files -n langpacks-lv
%{_datadir}/metainfo/org.fedoraproject.LangPack-lv.metainfo.xml

%package -n langpacks-mai
Summary: Maithili langpacks meta-package
Requires: lohit-devanagari-fonts
Recommends: google-noto-sans-devanagari-fonts
Recommends: google-noto-sans-devanagari-ui-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-mai
This package provides Maithili langpacks meta-package.

%files -n langpacks-mai
%{_datadir}/metainfo/org.fedoraproject.LangPack-mai.metainfo.xml

%package -n langpacks-mk
Summary: Macedonian langpacks meta-package

%description -n langpacks-mk
This package provides Macedonian langpacks meta-package.

%files -n langpacks-mk
%{_datadir}/metainfo/org.fedoraproject.LangPack-mk.metainfo.xml

%package -n langpacks-ml
Summary: Malayalam langpacks meta-package
Requires: m17n-db
Requires: smc-meera-fonts
Recommends: google-noto-sans-malayalam-fonts
Recommends: google-noto-sans-malayalam-ui-fonts
Recommends: lohit-malayalam-fonts
Recommends: samyak-malayalam-fonts
Recommends: smc-anjalioldlipi-fonts
Recommends: smc-dyuthi-fonts
Recommends: smc-kalyani-fonts
Recommends: smc-rachana-fonts
Recommends: smc-raghumalayalam-fonts
Recommends: smc-suruma-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-ml
This package provides Malayalam langpacks meta-package.

%files -n langpacks-ml
%{_datadir}/metainfo/org.fedoraproject.LangPack-ml.metainfo.xml

%package -n langpacks-mr
Summary: Marathi langpacks meta-package
Requires: lohit-marathi-fonts
Recommends: google-noto-sans-devanagari-fonts
Recommends: google-noto-sans-devanagari-ui-fonts
Recommends: samyak-devanagari-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-mr
This package provides Marathi langpacks meta-package.

%files -n langpacks-mr
%{_datadir}/metainfo/org.fedoraproject.LangPack-mr.metainfo.xml

%package -n langpacks-ms
Summary: Malay langpacks meta-package

%description -n langpacks-ms
This package provides Malay langpacks meta-package.

%files -n langpacks-ms
%{_datadir}/metainfo/org.fedoraproject.LangPack-ms.metainfo.xml

%package -n langpacks-my
Summary: Burmese langpacks meta-package
Recommends: sil-padauk-fonts

%description -n langpacks-my
This package provides Burmese langpacks meta-package.

%files -n langpacks-my
%{_datadir}/metainfo/org.fedoraproject.LangPack-my.metainfo.xml

%package -n langpacks-nb
Summary: Norwegian Bokmål langpacks meta-package

%description -n langpacks-nb
This package provides Norwegian Bokmål langpacks meta-package.

%files -n langpacks-nb
%{_datadir}/metainfo/org.fedoraproject.LangPack-nb.metainfo.xml

%package -n langpacks-ne
Summary: Nepali langpacks meta-package
Requires: lohit-devanagari-fonts
Requires: madan-fonts
Recommends: google-noto-sans-devanagari-fonts
Recommends: google-noto-sans-devanagari-ui-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-ne
This package provides Nepali langpacks meta-package.

%files -n langpacks-ne
%{_datadir}/metainfo/org.fedoraproject.LangPack-ne.metainfo.xml

%package -n langpacks-nl
Summary: Dutch langpacks meta-package

%description -n langpacks-nl
This package provides Dutch langpacks meta-package.

%files -n langpacks-nl
%{_datadir}/metainfo/org.fedoraproject.LangPack-nl.metainfo.xml

%package -n langpacks-nn
Summary: Nynorsk langpacks meta-package

%description -n langpacks-nn
This package provides Nynorsk langpacks meta-package.

%files -n langpacks-nn
%{_datadir}/metainfo/org.fedoraproject.LangPack-nn.metainfo.xml

%package -n langpacks-nr
Summary: Southern Ndebele langpacks meta-package

%description -n langpacks-nr
This package provides Southern Ndebele langpacks meta-package.

%files -n langpacks-nr
%{_datadir}/metainfo/org.fedoraproject.LangPack-nr.metainfo.xml

%package -n langpacks-nso
Summary: Northern Sotho langpacks meta-package

%description -n langpacks-nso
This package provides Northern Sotho langpacks meta-package.

%files -n langpacks-nso
%{_datadir}/metainfo/org.fedoraproject.LangPack-nso.metainfo.xml

%package -n langpacks-or
Summary: Oriya langpacks meta-package
Requires: lohit-odia-fonts
Requires: m17n-db
Recommends: samyak-odia-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-or
This package provides Oriya langpacks meta-package.

%files -n langpacks-or
%{_datadir}/metainfo/org.fedoraproject.LangPack-or.metainfo.xml

%package -n langpacks-pa
Summary: Punjabi langpacks meta-package
Requires: lohit-gurmukhi-fonts
Requires: m17n-db
Recommends: saab-fonts
Recommends: google-noto-sans-gurmukhi-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-pa
This package provides Punjabi langpacks meta-package.

%files -n langpacks-pa
%{_datadir}/metainfo/org.fedoraproject.LangPack-pa.metainfo.xml

%package -n langpacks-pl
Summary: Polish langpacks meta-package

%description -n langpacks-pl
This package provides Polish langpacks meta-package.

%files -n langpacks-pl
%{_datadir}/metainfo/org.fedoraproject.LangPack-pl.metainfo.xml

%package -n langpacks-pt
Summary: Portuguese langpacks meta-package

%description -n langpacks-pt
This package provides Portuguese langpacks meta-package.

%files -n langpacks-pt
%{_datadir}/metainfo/org.fedoraproject.LangPack-pt.metainfo.xml

%package -n langpacks-pt_BR
Summary: Portuguese (Brazil) langpacks meta-package

%description -n langpacks-pt_BR
This package provides Portuguese (Brazil) langpacks meta-package.

%files -n langpacks-pt_BR
%{_datadir}/metainfo/org.fedoraproject.LangPack-pt_BR.metainfo.xml

%package -n langpacks-ro
Summary: Romanian langpacks meta-package

%description -n langpacks-ro
This package provides Romanian langpacks meta-package.

%files -n langpacks-ro
%{_datadir}/metainfo/org.fedoraproject.LangPack-ro.metainfo.xml

%package -n langpacks-ru
Summary: Russian langpacks meta-package
Recommends: paratype-pt-sans-fonts

%description -n langpacks-ru
This package provides Russian langpacks meta-package.

%files -n langpacks-ru
%{_datadir}/metainfo/org.fedoraproject.LangPack-ru.metainfo.xml

%package -n langpacks-si
Summary: Sinhala langpacks meta-package
Requires: google-noto-sans-sinhala-fonts
Requires: m17n-db
Recommends: (ibus-sayura if xorg-x11-server-Xorg)
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-si
This package provides Sinhala langpacks meta-package.

%files -n langpacks-si
%{_datadir}/metainfo/org.fedoraproject.LangPack-si.metainfo.xml

%package -n langpacks-sk
Summary: Slovak langpacks meta-package

%description -n langpacks-sk
This package provides Slovak langpacks meta-package.

%files -n langpacks-sk
%{_datadir}/metainfo/org.fedoraproject.LangPack-sk.metainfo.xml

%package -n langpacks-sl
Summary: Slovenian langpacks meta-package

%description -n langpacks-sl
This package provides Slovenian langpacks meta-package.

%files -n langpacks-sl
%{_datadir}/metainfo/org.fedoraproject.LangPack-sl.metainfo.xml

%package -n langpacks-sq
Summary: Albanian langpacks meta-package

%description -n langpacks-sq
This package provides Albanian langpacks meta-package.

%files -n langpacks-sq
%{_datadir}/metainfo/org.fedoraproject.LangPack-sq.metainfo.xml

%package -n langpacks-ss
Summary: Swati langpacks meta-package

%description -n langpacks-ss
This package provides Swati langpacks meta-package.

%files -n langpacks-ss
%{_datadir}/metainfo/org.fedoraproject.LangPack-ss.metainfo.xml

%package -n langpacks-sr
Summary: Serbian langpacks meta-package

%description -n langpacks-sr
This package provides Serbian langpacks meta-package.

%files -n langpacks-sr
%{_datadir}/metainfo/org.fedoraproject.LangPack-sr.metainfo.xml

%package -n langpacks-sv
Summary: Swedish langpacks meta-package

%description -n langpacks-sv
This package provides Swedish langpacks meta-package.

%files -n langpacks-sv
%{_datadir}/metainfo/org.fedoraproject.LangPack-sv.metainfo.xml

%package -n langpacks-ta
Summary: Tamil langpacks meta-package
Requires: lohit-tamil-fonts
Requires: m17n-db
Recommends: google-noto-sans-tamil-fonts
Recommends: google-noto-sans-tamil-ui-fonts
Recommends: samyak-tamil-fonts
Recommends: serafettin-cartoon-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-ta
This package provides Tamil langpacks meta-package.

%files -n langpacks-ta
%{_datadir}/metainfo/org.fedoraproject.LangPack-ta.metainfo.xml

%package -n langpacks-te
Summary: Telugu langpacks meta-package
Requires: lohit-telugu-fonts
Requires: m17n-db
Recommends: google-noto-sans-telugu-fonts
Recommends: google-noto-sans-telugu-ui-fonts
Recommends: pothana2000-fonts
Recommends: vemana2000-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-te
This package provides Telugu langpacks meta-package.

%files -n langpacks-te
%{_datadir}/metainfo/org.fedoraproject.LangPack-te.metainfo.xml

%package -n langpacks-th
Summary: Thai langpacks meta-package
Recommends: google-noto-sans-thai-fonts
Recommends: google-noto-sans-thai-ui-fonts
Recommends: google-noto-serif-thai-fonts
Recommends: thai-scalable-garuda-fonts
Recommends: thai-scalable-kinnari-fonts
Recommends: thai-scalable-loma-fonts
Recommends: thai-scalable-norasi-fonts
Recommends: thai-scalable-purisa-fonts
Recommends: thai-scalable-sawasdee-fonts
Recommends: thai-scalable-tlwgmono-fonts
Recommends: thai-scalable-tlwgtypewriter-fonts
Recommends: thai-scalable-tlwgtypist-fonts
Recommends: thai-scalable-tlwgtypo-fonts
Recommends: thai-scalable-umpush-fonts
Recommends: thai-scalable-waree-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-th
This package provides Thai langpacks meta-package.

%files -n langpacks-th
%{_datadir}/metainfo/org.fedoraproject.LangPack-th.metainfo.xml

%package -n langpacks-tn
Summary: Tswana langpacks meta-package

%description -n langpacks-tn
This package provides Tswana langpacks meta-package.

%files -n langpacks-tn
%{_datadir}/metainfo/org.fedoraproject.LangPack-tn.metainfo.xml

%package -n langpacks-tr
Summary: Turkish langpacks meta-package

%description -n langpacks-tr
This package provides Turkish langpacks meta-package.

%files -n langpacks-tr
%{_datadir}/metainfo/org.fedoraproject.LangPack-tr.metainfo.xml

%package -n langpacks-ts
Summary: Tsonga langpacks meta-package

%description -n langpacks-ts
This package provides Tsonga langpacks meta-package.

%files -n langpacks-ts
%{_datadir}/metainfo/org.fedoraproject.LangPack-ts.metainfo.xml

%package -n langpacks-uk
Summary: Ukrainian langpacks meta-package

%description -n langpacks-uk
This package provides Ukrainian langpacks meta-package.

%files -n langpacks-uk
%{_datadir}/metainfo/org.fedoraproject.LangPack-uk.metainfo.xml

%package -n langpacks-ur
Summary: Urdu langpacks meta-package
Requires: paktype-naskh-basic-fonts
Requires: paktype-tehreer-fonts
Recommends: dejavu-sans-fonts
Recommends: dejavu-sans-mono-fonts
Recommends: nafees-nastaleeq-fonts
Recommends: nafees-web-naskh-fonts
Recommends: (ibus-m17n if xorg-x11-server-Xorg)

%description -n langpacks-ur
This package provides Urdu langpacks meta-package.

%files -n langpacks-ur
%{_datadir}/metainfo/org.fedoraproject.LangPack-ur.metainfo.xml

%package -n langpacks-ve
Summary: Venda langpacks meta-package

%description -n langpacks-ve
This package provides Venda langpacks meta-package.

%files -n langpacks-ve
%{_datadir}/metainfo/org.fedoraproject.LangPack-ve.metainfo.xml

%package -n langpacks-vi
Summary: Vietnamese langpacks meta-package
Recommends: (ibus-bogo if xorg-x11-server-Xorg)

%description -n langpacks-vi
This package provides Vietnamese langpacks meta-package.

%files -n langpacks-vi
%{_datadir}/metainfo/org.fedoraproject.LangPack-vi.metainfo.xml

%package -n langpacks-xh
Summary: Xhosa langpacks meta-package

%description -n langpacks-xh
This package provides Xhosa langpacks meta-package.

%files -n langpacks-xh
%{_datadir}/metainfo/org.fedoraproject.LangPack-xh.metainfo.xml

%package -n langpacks-yi
Summary: Yiddish langpacks meta-package
Requires: dejavu-sans-fonts
Recommends: culmus-aharoni-clm-fonts
Recommends: culmus-caladings-clm-fonts
Recommends: culmus-david-clm-fonts
Recommends: culmus-drugulin-clm-fonts
Recommends: culmus-ellinia-clm-fonts
Recommends: culmus-frank-ruehl-clm-fonts
Recommends: culmus-hadasim-clm-fonts
Recommends: culmus-keteryg-fonts
Recommends: culmus-miriam-clm-fonts
Recommends: culmus-miriam-mono-clm-fonts
Recommends: culmus-nachlieli-clm-fonts
Recommends: culmus-simple-clm-fonts
Recommends: culmus-stamashkenaz-clm-fonts
Recommends: culmus-stamsefarad-clm-fonts
Recommends: culmus-yehuda-clm-fonts

%description -n langpacks-yi
This package provides Yiddish langpacks meta-package.

%files -n langpacks-yi
%{_datadir}/metainfo/org.fedoraproject.LangPack-yi.metainfo.xml


%package -n langpacks-zh_CN
Summary: Simplified Chinese langpacks meta-package
Recommends: google-noto-sans-cjk-ttc-fonts
Recommends: google-noto-serif-cjk-ttc-fonts
Recommends: (ibus-libpinyin if xorg-x11-server-Xorg)

%description -n langpacks-zh_CN
This package provides Simplified Chinese langpacks meta-package.

%files -n langpacks-zh_CN
%{_datadir}/metainfo/org.fedoraproject.LangPack-zh_CN.metainfo.xml

%package -n langpacks-zh_TW
Summary: Traditional Chinese langpacks meta-package
Recommends: google-noto-sans-cjk-ttc-fonts
Recommends: google-noto-serif-cjk-ttc-fonts
Recommends: (ibus-libzhuyin if xorg-x11-server-Xorg)

%description -n langpacks-zh_TW
This package provides Traditional Chinese langpacks meta-package.

%files -n langpacks-zh_TW
%{_datadir}/metainfo/org.fedoraproject.LangPack-zh_TW.metainfo.xml

%package -n langpacks-zu
Summary: Zulu langpacks meta-package

%description -n langpacks-zu
This package provides Zulu langpacks meta-package.

%files -n langpacks-zu
%{_datadir}/metainfo/org.fedoraproject.LangPack-zu.metainfo.xml

%prep
# nothing to prep

%build
# nothing to build


%install
# Explode the metainfo files into the subpackages so they get added to the
# distro-specific AppStream metadata
mkdir -p %{buildroot}/usr/share/metainfo
DESTDIR=%{buildroot} appstream-util split-appstream %{SOURCE0}

%changelog
* Fri Apr 12 2019 Parag Nemade <pnemade AT redhat DOT com> - 1.0-17
- Resolves: rh#1699210 - langpack-pa: add "Recommends: google-noto-sans-gurmukhi-fonts"

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 30 2019 Parag Nemade <pnemade AT redhat DOT com> - 1.0-15
- Added few new subpackages for bo, dz, ka, km, ku, my, yi
- Added entry for above languages in org.fedoraproject.LangPacks.xml
- Enhance few langpacks to pull input-method packages
- Enhance few langpacks to pull font packages

* Thu Nov 08 2018 Parag Nemade <pnemade AT redhat DOT com> - 1.0-14
- Resolves:rh#1644736: Added eo (Esperanto) language

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Parag Nemade <pnemade AT redhat DOT com> - 1.0-11
- Added description in appdata metainfo files (rh#1538105)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 15 2016 Richard Hughes <richard@hughsie.com> - 1.0-8
- Use a specific AppStream component type of localization.

* Mon Feb 29 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.0-7
- Resolves:rh#1312890: langpacks-en should be added

* Fri Feb 26 2016 Richard Hughes <richard@hughsie.com> - 1.0-6
- Explode the metainfo files into the subpackages so they get added to the
  distro-specific AppStream metadata.
- This allows us to add and remove languages in GNOME Software.

* Tue Feb 23 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.0-5
- Resolves:rh#1310538: Added br ga he nn nr ss tn ts ve xh languages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.0-3
- Removed %%files to disable langpacks.noarch package

* Tue Jan 26 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.0-2
- Changed metapackage -> meta-package
- Added information about how we chose language list

* Thu Jan 21 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.0-1
- Initial packaging

